apiVersion: apps/v1
kind: Deployment
metadata :
  name: frontend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: frontend
  template:
    metadata:
      labels:
        app: frontend
    spec:
      containers:
        - name: service
          image: gcr.io/google-samples/microservices-demo/frontend:v0.2.3
          ports:
            - containerPort: 8080
          env: 
            - name: PORT
              value: "8080" 
            - name: VE_service
              value: "service:port"
          livenessProbe: 
              periodeSeconds: 5 # Kol 5 secondes 
              exec: 
                  command: ["/bin/grpc_health_probe","-addr:9555"]
          readinessProbe: 
              periodeSeconds: 5 # Kol 5 secondes 
              exec: 
                  command: ["/bin/grpc_health_probe","-addr:9555"]
---
apiVersion: v1  
kind: Service
metadata:
  name: frontend
spec:
  type: NodePort
  selector:
    app: frontend 
  ports:
    - protocol: TCP
      port: 8080 
      targetPort: 8080
      nodePort: 30007

